---
search:
  tags:
    - Merchant Scoped
    - POST
seo:
  description: >-
    Requires merchant scope redemptions:release. Returns the released… Reference
    for the POST /v1/redemptions/{id}/release endpoint in the agentsub Gateway
    API.
sidebar:
  label: Release a hold
  badge: POST
title: Release a hold
type: openapi-operation
---
Requires merchant scope `redemptions:release`. Returns the released funds to the agent.

`POST /v1/redemptions/{id}/release`

**Request body** (`application/json`, required)

Request body example:

```json
{}
```

**Responses**

- `200` — Release record
- `400` — \`invalid\_input\` problem
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `403` — Identity, ownership, scope or policy denied (\`human\_required\`, \`owner\_claim\_required\`, \`scope\_required\`, \`FROZEN\`, \`CAP\_EXCEEDED\`, \`SCOPE\_FORBIDDEN\`)
- `404` — \`not\_found\` problem
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "id": "string",
  "agentId": "string",
  "acceptorId": "string",
  "offerId": "string",
  "category": "string",
  "amountUc": "string",
  "state": "held",
  "expiresAt": 0,
  "createdAt": 0,
  "capturedUc": "string",
  "allocations": [
    {
      "lotId": "string",
      "amountUc": "string"
    }
  ]
}
```
